
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Tomcat与Java Web开发技术详解连载之一 / iVAN</title>

    <meta name="description" content="Tomcat与Java Web开发技术详解连载之一 web|详解 本章介绍如何在Tomcat上创建和发布Web应用.这里首先讲解Tomcat的目录结构以及Web应用的目录结构,接着介绍如何将HTML.Servlet.JSP和Tag Library部署到Web应用中,然后介绍把整个Web应用打包并发布的方法,最后介绍如何在Tomcat上配置虚拟主机. 本章侧重于讨论Web应用的结构和发布方法,所以没有对本章的Servlet和JSP的例子进行详细解释,关于Servlet和JSP的技术可以分别参考其它章节的内容. 2.1 Tomcat的目录结构 在To">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Tomcat与Java Web开发技术详解连载之一</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>web|详解</p>
<p>本章介绍如何在Tomcat上创建和发布Web应用。这里首先讲解Tomcat的目录结构以及Web应用的目录结构，接着介绍如何将HTML、Servlet、JSP和Tag Library部署到Web应用中，然后介绍把整个Web应用打包并发布的方法，最后介绍如何在Tomcat上配置虚拟主机。</p>
<p>本章侧重于讨论Web应用的结构和发布方法，所以没有对本章的Servlet和JSP的例子进行详细解释，关于Servlet和JSP的技术可以分别参考其它章节的内容。</p>
<p>2.1 Tomcat的目录结构</p>
<p>在Tomcat上发布Web应用之前，首先要了解Tomcat的目录结构。Tomcat的目录结构参见表2-1，这些目录都是的子目录。</p>
<p>表2-1 Tomcat的目录结构</p>
<table>
<tr>
<td>目 录</td>
<td>描 述</td>
</tr>
<tr>
<td>/bin</td>
<td>存放在Windows平台 以及Linux平台上启动 和关闭Tomcat的脚本文件</td>
</tr>
<tr>
<td>/conf</td>
<td>存放Tomcat服务器的各种配置文件， 其中最重要的配置文件是server.xml</td>
</tr>
<tr>
<td>/server</td>
<td>包含3个子目录: classes、lib和webapps</td>
</tr>
<tr>
<td>/server/lib</td>
<td>存放Tomcat服务器所需的各种JAR文件</td>
</tr>
<tr>
<td>/server/webapps </td>
<td>存放Tomcat自带的两个Web应用: admin应用和manager应用</td>
</tr>
<tr>
<td>/common/lib</td>
<td>存放Tomcat服务器以及所有 Web应用都可以访问的JAR文件</td>
</tr>
<tr>
<td>/shared/lib</td>
<td>存放所有Web应用都可以访问的JAR文件</td>
</tr>
<tr>
<td>/logs</td>
<td>存放Tomcat的日志文件</td>
</tr>
<tr>
<td>/webapps</td>
<td>当发布Web应用时， 默认情况下把Web应用 文件放于此目录下</td>
</tr>
<tr>
<td>/work</td>
<td>Tomcat把由JSP生成的 Servlet放于此目录下</td>
</tr>
</table>
<p>从表2-1可以看出，在/server/lib目录、/common/lib和/shared/lib目录下都可以放JAR文件，它们的区别在于：</p>
<p>在/server/lib目录下的JAR文件只可被Tomcat服务器访问</p>
<p>在/shared/lib目录下的JAR文件可以被所有的Web应用访问，但不能被Tomcat服务器访问</p>
<p>在/common/lib目录下的JAR文件可以被Tomcat服务器和所有Web应用访问</p>
<p>此外，对于下面将要介绍的Java Web应用，在它的WEB-INF目录下，也可以建立lib子目录，在lib子目录下可以放各种JAR文件，这些JAR文件只能被当前Web应用访问。</p>
<p>在以上提到的lib目录下都只接受JAR文件，如果类压缩文件为ZIP文件，应该将它展开，重新打包为JAR文件再拷贝到lib目录中。如果直接将ZIP文件拷贝到lib目录，则会发现Tomcat服务器仍然找不到相关的类。打包命令参见2.2.8节。</p>
<p>2.2 创建和发布Web应用</p>
<p>Java Web应用由一组静态HTML页、Servlet、JSP和其他相关的class组成。每种组件在Web应用中都有固定的存放目录。Web应用的配置信息存放在web.xml文件中。在发布某些组件（如Servlet）时，必须在web.xml文件中添加相应的配置信息。</p>
<p>2.2.1 Web应用的目录结构</p>
<p>Web应用具有固定的目录结构，这里假定开发一个名为helloapp的Web应用。首先，应该在/webapps目录下创建这个Web应用的目录结构，参见表2-2。</p>
<p>表2-2 Web应用的目录结构</p>
<table>
<tr>
<td>目 录</td>
<td>描 述</td>
</tr>
<tr>
<td>/helloapp</td>
<td>Web应用的根目录， 所有的JSP和HTML文件 都存放于此目录下</td>
</tr>
<tr>
<td>/helloapp/WEB-INF</td>
<td>存放Web应用的发布描述文件web.xml</td>
</tr>
<tr>
<td>/helloapp/WEB-INF/classes</td>
<td>存放各种class文件， Servlet类文件也放于此目录下</td>
</tr>
<tr>
<td>/helloapp/WEB-INF/lib</td>
<td>存放Web应用所需的各种JAR文件</td>
</tr>
</table>
<p>例如，在这个目录下，可以存放JDBC驱动程序的JAR文件</p>
<p>从表2-2中，我们看到在classes以及lib子目录下，都可以存放Java类文件。在运行过程中，Tomcat的类装载器先装载classes目录下的类，再装载lib目录下的类。因此，如果两个目录下存在同名的类，classes目录下的类具有优先权。</p>
<p>本章介绍的helloapp应用的目录结构如图2-1所示，helloapp应用在Windows资源管理器中的展开如图2-2所示。</p>
<p>在helloapp应用中创建了如下组件：</p>
<p>HTML组件：index.htm</p>
<p>JSP组件：login.jsp和hello.jsp</p>
<p>Servlet组件：DispatcherServlet</p>
<p>这些组件之间的链接关系为：</p>
<p>index.htm→login.jsp→DispatcherServlet→hello.jsp</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzc3MTIyNDQxMTAwLmdpZg==.jpg"></p>
<p>图2-1 helloapp应用的目录结构</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzc3MTIyNDQxNTI3LmpwZw==.jpg"></p>
<p>图2-2 helloapp应用在Windows资源管理器中的展开图</p>
<p>2.2.2 web.xml文件</p>
<p>Java Web应用通过一个基于XML的发布描述符文件来配置其发布信息，这个文件名为web.xml，它存放于WEB-INF子目录下。在附录B中将详细介绍web.xml的配置方法，在附录C中将介绍XML的基本知识。在web.xml文件中可包含如下配置信息：</p>
<p>Servlet的定义</p>
<p>Servlet的初始化参数</p>
<p>Servlet以及JSP的映射</p>
<p>安全域配置参数</p>
<p>welcome文件清单</p>
<p>资源引用</p>
<p>环境变量的定义</p>
<p>现在，创建一个默认的web.xml文件，并把这个文件放到WEB-INF目录中。</p>
<table>
<tr>
<td>
<pre>&lt;?xml version="1.0" encoding="ISO-8859-1"?&gt;&lt;!DOCTYPE web-app PUBLIC  '-//Sun Microsystems,  Inc.//DTD Web Application 2.3  //EN'  'http://java.sun.com/  j2ee/dtds/web-app_2_3.dtd'&gt;&lt;web-app&gt;&lt;/web-app&gt;</pre>
</td>
</tr>
</table>
<p>以上web.xml文件的第一行指定了XML的版本和字符编码，第二行DOCTYPE指定文档类型，接下来声明了一个元素，所有关于Web应用的配置元素都将加入到这个元素中。</p>
<p>2.2.3 在server.xml中加入元素</p>
<p>元素是/conf/server.xml中使用最频繁的元素，它代表了运行在上的单个Web应用。一个中可以有多个元素。每个Web应用必须有惟一的URL路径，这个URL路径在元素的path属性中设定。例如，在名为"localhost"的元素中加入如下元素：</p>
<table>
<tr>
<td>
<pre>&lt;!-- Define the default virtual host --&gt;&lt;Host name="localhost" debug="0" appBase="webapps"unpackWARs="true" autoDeploy="true"&gt;…………&lt;Context path="/helloapp"docBase="helloapp" debug="0"reloadable="true"/&gt;&lt;/Host&gt;</pre>
</td>
</tr>
</table>
<p>Context元素的各个属性的说明参见表2-3。</p>
<p>表2-3 Context元素的属性</p>
<table>
<tr>
<td>属 性</td>
<td>描 述</td>
</tr>
<tr>
<td>path</td>
<td>指定访问该Web应用的URL入口</td>
</tr>
<tr>
<td>docBase</td>
<td>指定Web应用的文件路径，可以给定绝对路径，也可以给定相对于Host的appBase属性的相对路径（关于Host的appBase属性参见2.3节）。如果Web应用采用开放目录结构，则指定Web应用的根目录；如果Web应用是个WAR文件，则指定WAR文件的路径</td>
</tr>
<tr>
<td>reloadable</td>
<td>如果这个属性设为true， Tomcat服务器在运行状态下会监视在WEB-INF/classes 和WEB-INF/lib目录下class文件的改动。如果监测到有class文件被更新，服务器会自动重新加载Web应用</td>
</tr>
</table>
<p>在开发阶段，将reloadable属性设为true，有助于调试Servlet和其他的class文件。但是由于这一功能会加重服务器的运行负荷，因此建议在Web应用的产品发布阶段，将这个属性设为false。</p>
<p>本文节选自由飞思图书授权《Tomcat与Java Web开发技术详解》</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索tomcat<br />
                    ，                目录<br />
                    ，                web<br />
                    ，                文件<br />
                    ，                应用<br />
                    ，                结构<br />
                    ，                web应用<br />
                    ，                floodlight下应用开发<br />
                    ，                tomcat发布<br />
                    ，                web 应用<br />
                    ，                 找不到资源 /login.jsp<br />
                                    web目录<br />
                                    tomcat web.xml 详解、tomcat开发web项目、tomcat web开发、tomcat java web开发、tomcat开发websocket，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-08 07:44:47</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e5%ba%94%e7%94%a8/" title="应用">应用</a>, <a href="https://www.iamivan.net/tag/%e7%9b%ae%e5%bd%95/" title="目录">目录</a>, <a href="https://www.iamivan.net/tag/%e7%bb%93%e6%9e%84/" title="结构">结构</a>, <a href="https://www.iamivan.net/tag/web/" title="web">web</a>, <a href="https://www.iamivan.net/tag/tomcat/" title="tomcat">tomcat</a>, <a href="https://www.iamivan.net/tag/web%e5%ba%94%e7%94%a8/" title="web应用">web应用</a>, <a href="https://www.iamivan.net/tag/floodlight%e4%b8%8b%e5%ba%94%e7%94%a8%e5%bc%80%e5%8f%91/" title="floodlight下应用开发">floodlight下应用开发</a>, <a href="https://www.iamivan.net/tag/tomcat%e5%8f%91%e5%b8%83/" title="tomcat发布">tomcat发布</a>, <a href="https://www.iamivan.net/tag/web%c2%a0%e5%ba%94%e7%94%a8/" title="web&nbsp;应用">web&nbsp;应用</a>, <a href="https://www.iamivan.net/tag/%c2%a0%e6%89%be%e4%b8%8d%e5%88%b0%e8%b5%84%e6%ba%90%c2%a0-login-jsp/" title="&nbsp;找不到资源&nbsp;&sol;login&period;jsp">&nbsp;找不到资源&nbsp;&sol;login&period;jsp</a>, <a href="https://www.iamivan.net/tag/web%e7%9b%ae%e5%bd%95/" title="web目录">web目录</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Tomcat与Java Web开发技术详解连载之一的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1MvJ6aM.html" rel="bookmark">Tomcat与Java Web开发技术详解连载之二</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web|详解 2.2.4 部署HTML文件 在helloapp目录下加入index.htm文件,这个文件仅仅用来显示一串带链接的字符&quot;Welcome to HelloApp&quot;, 它链接到login.jsp文件.以下是index.htm文件的代码: &lt;html&gt;&lt;head&gt;&lt;title&gt;helloapp&lt;/title&gt;&lt;/head&gt;&lt;body &gt;&lt;p&gt;&lt;font size=&quot;7&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnLmjb.html" rel="bookmark">Tomcat与Java Web开发技术详解连载之三</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web|详解 2.2.8 创建并发布WAR文件 Tomcat既可以运行采用开放式目录结构的Web应用,也可以运行WAR文件.在本书配套光盘的sourcecode/chapter2/helloapp目录下提供了所有源文件,只要把整个helloapp目录拷贝到/webapps目录下,即可运行开放式目录结构的helloapp应用.在Web应用的开发阶段,为了便于调试,通常采用开放式的目录结构来发布Web应用,这样可以方便地更新或替换文件.如果开发完毕,进入产品发布阶段,应该将整个Web应用打包为WAR			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAavyQM.html" rel="bookmark">Tomcat与Java Web开发技术详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本章介绍如何在Tomcat上创建和发布Web应用.这里首先讲解Tomcat的目录结构以及Web应用的目录结构,接着介绍如何将HTML.Servlet.JSP和Tag Library部署到Web应用中,然后介绍把整个Web应用打包并发布的方法,最后介绍如何在Tomcat上配置虚拟主机. 本章侧重于讨论Web应用的结构和发布方法,所以没有对本章的Servlet和JSP的例子进行详细解释,关于Servlet和JSP的技术可以分别参考其它章节的内容. 2.1 Tomcat的目录结构 在Tomcat上发布			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB11Laz.html" rel="bookmark">《Unity 3D 游戏开发技术详解与典型案例》&mdash;&mdash;1&period;1节Unity 3D基础知识概览</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.1 Unity 3D基础知识概览 Unity 3D 游戏开发技术详解与典型案例 本节主要向读者介绍Unity 3D的相关知识,主要内容包括Unity 3D的简介.Unity 3D的发展和Unity 3D的特点等.通过本节的学习,读者将对Unity 3D有一个基本的认识. 1.1.1 初识Unity 3D Unity 3D是由Unity Technologies开发的一个轻松创建三维视频游戏.建筑可视化.实时三维动画等互动内容的.多平台的综合型游戏开发工具,是一个全面整合的专业游戏引擎. Un			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvn5LaM.html" rel="bookmark">《Unity 3D 游戏开发技术详解与典型案例》&mdash;&mdash;1&period;2节开发环境的搭建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 开发环境的搭建 Unity 3D 游戏开发技术详解与典型案例 本节介绍Unity集成开发环境的搭建,开发环境的搭建分为两个步骤:Unity集成开发环境的安装和目标平台的SDK与Unity 3D的集成. 1.2.1 Unity集成开发环境的安装 本小节主要讲述如何构建Unity 3D的开发环境,之后对开发环境进行测试并创建第一个Unity 3D程序.前面已经对Unity 3D这个游戏引擎进行了简单的介绍,从本小节开始,将带领读者逐步搭建自己的开发环境,具体的步骤如下. (1)登录到Unit			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ0YDkM.html" rel="bookmark">新书出版：Java Web开发技术大全&mdash;&mdash;JSP&plus;Servlet&plus;Struts 2&plus;Hibernate&plus;Sp</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文为原创,如需转载,请注明作者和出处,谢谢! 作者:李宁 图书详细信息: ISBN:9787302195757 定价:79.8元 印次:1-1 装帧:平装 印刷日期:2009-4-23   图书简介: SSH是目前最流行的Java Web开发技术.本书通过对SSH中的各种技术循序渐进地讲解,使读者尽快掌握开发基于SSH的Web程序的方法.本书内 容包括Web客户端技术.JSP/Servlet技术.Struts 2(拦截器.类型转换.输入校验.上传和下载文件.Struts 2的各种标签.对 AJ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zexAdVp.html" rel="bookmark">新书出版：Java Web开发技术大全&mdash;&mdash;JSP&plus;Servlet&plus;Struts 2&plus;Hibernate&plus;Spring&plus;Ajax （附源代码）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文为原创,如需转载,请注明作者和出处,谢谢! 源代码下载 作者:李宁 图书详细信息: ISBN:9787302195757 定价:79.8元 印次:1-1 装帧:平装 印刷日期:2009-4-23 图书简介: SSH是目前最流行的Java Web开发技术.本书通过对SSH中的各种技术循序渐进地讲解,使读者尽快掌握开发基于SSH的Web程序的方法.本书内 容包括Web客户端技术.JSP/Servlet技术.Struts 2(拦截器.类型转换.输入校验.上传和下载文件.Struts 2的各种标签.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLgvm5M.html" rel="bookmark">征服ASP&period;NET   2&period;0   Ajax&lowbar;&lowbar;Web开发技术详解 源代码下载</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 &lt;征服ASP.NET2.0Ajax__Web开发技术详解&gt;源代码,人民邮电出版社,陈冠军编著.07.6第一版.一本很好的ASP.NET2.0Ajax的参考书,现提供源代码给大家.快快下载吧!!!下载地址:http://download.csdn.net/user/wudaiwen1022 解决方案 解决方案二:up解决方案三:好淫啊,谢谢			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxEnJyp.html" rel="bookmark">哪位有Netbeans 6&period;0程序开发技术详解电子书&lpar;PDF&rpar;完整版么？跪求分享。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 哪位有Netbeans6.0程序开发技术详解电子书(PDF)完整版么?跪求分享.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvqgVb.html" rel="bookmark" class="title">使用DIV&plus;CSS制作网页后，表格Table还有用吗？</a>
					<div>
						css|网页 符合网页标准的网页是DIV+CSS制作的,那么我们以前使用的表格Table还有用吗?是不是要彻底放弃呢? 关于DIV和TABLE表格的使用疑问有不少人很是疑惑,整理一下思路! 关于表格  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN0gNz.html" rel="bookmark" class="title">HTML图象&lpar;IMAGE&rpar;标记&lpar;TAGS&rpar;</a>
					<div>
						链入图象的基本语法 &lt;------img source-------&gt; &lt;img src=#&gt; #=图象的 URL &lt;------img description----- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRJKKM.html" rel="bookmark" class="title">ASP开发技巧集锦二</a>
					<div>
						技巧 11. 报错并返回if rs.bof and rs.eof then  '还是有问题response.write&quot;&lt;SCRIPT language=JavaScript&gt;a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zO693p.html" rel="bookmark" class="title">优秀的网站优化者要对哪些要素关心</a>
					<div>
						一个优秀的网站优化者seoer要对那些优化的要素关心呢?或许刚开始做网站优化的时候,对这个陌生的领域感到不知所措,但是过了一段时间之后,应该明白我们做网站优化所要面对的关键要素有那些了吧,如果此刻,你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2gYqM.html" rel="bookmark" class="title">你该怎么办之如何应对百度竞价恶意点击</a>
					<div>
						大家都知道付费竞价是按照点击收费的,不点击不产生费用的消耗,那么在白净竞价中恶意点击也是不可避免的,王春人的观点是一般恶意点击是主要分为三类,具体是哪三类呢?一是非潜在用户的点击,二是竞争对手的点击, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElnWqz.html" rel="bookmark" class="title">巧用HttpHandler管理Xslt</a>
					<div>
						这篇文章不是介绍xslt的使用方法,关于这类文章,随便在Google,百度一面一搜就是一 打. 我想介绍的是,如果用HttpHandler来管理xslt的.有这样的一个想法,主要是来源于公 司今年推出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNBnGM.html" rel="bookmark" class="title">MyEclipse 6&period;5 两种汉化方法分享</a>
					<div>
						MyEclipse 6.5 汉化方法介绍,一步步教你汉化MyEclipse 6.5,介绍下载官方语言包的所有步骤,不会汉化MyEclipse 6.5的朋友看完照做就能完成汉化. 方法一:需要下载补丁文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWdxop.html" rel="bookmark" class="title">Win7适配器未连接或访问点有问题怎么办？</a>
					<div>
						  Win7适配器未连接或访问点有问题的解决方法. 解决方法如下: 1.打开连接 2.先大概看看,看看不是自己禁用连接,如果禁用,右键启用就行 3.打开查看下IP,把它自动获取. 4.自动诊断,电脑会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7KAxM.html" rel="bookmark" class="title">win7耳机没声音怎么办&quest;</a>
					<div>
						  这里提供的方法适用于此种情况,请首先保证耳机和麦克风的插头插的空是正确的,其次保证Win7安装正确的声卡驱动(一般正常确安装了驱动后,会在任务栏右边的托盘区看到有一个小喇叭,如下图所示: 在任务栏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3od8Jb.html" rel="bookmark" class="title">微信电脑版1&period;1&period;0&period;18正式版更新了什么</a>
					<div>
						  今日Windows平台微信电脑版迎来了1.1.0.18正式版.该版本主要优化了用户体验,修复了一些bug,增强了稳定性.推荐大家去升级啦. 微信for Windows的主要功能有: • 收发文本. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7QGvb.html" rel="bookmark" class="title">新木马或藏身移动存储介质</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 国家计算机病毒应急处理中心通过对互 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My34e8z.html" rel="bookmark" class="title">java实现301跳转和重定向的方法&lowbar;java</a>
					<div>
						java301跳转和重定向 复制代码 代码如下: response.setStatus(301); response.setHeader(&quot;Location&quot;,&quot;http ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RLB0z.html" rel="bookmark" class="title">大数据下的企业数据仓库建设</a>
					<div>
						为何要建数据仓库 数据仓库整体架构 数据仓库-分层                      数据仓库-STG层 数据仓库-ODS层 数据仓库-DWD层 数据仓库-DWS层 dws层示例        ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXrYQb.html" rel="bookmark" class="title">网站收录越多越好吗 收录率高才是重点</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 网站收录是越多越好吗?当然了,网站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBJr6z.html" rel="bookmark" class="title">香港售iPhone4S首日遭疯抢联通最快下月引入</a>
					<div>
						晨报讯 (记者 焦立坤) iPhone 4S昨天在香港开卖,不出业界所料,在&quot;黄牛&quot;们的疯狂围剿下很快就售空.同日,苹果在中国内地也在制造销售小浪潮,由于价格下调为3988元,简版 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0n4QJz.html" rel="bookmark" class="title">腾讯汤道生：创业成时代主题，移动将连接一切</a>
					<div>
						DoNews 10月30日消息(记者 向霜)在2014腾讯全球合作伙伴大会上,腾讯公司高级http://www.aliyun.com/zixun/aggregation/3886.html&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq71laz.html" rel="bookmark" class="title">高楼华宅平地起社会责任心中立</a>
					<div>
						记广东隆泰房地产集团有限公司董事长徐隆青 文/ 陈穗芳 郑少洲 似乎是那么的不经意,广东隆泰房地产集团有限公司成立之初,强手林立的汕头房地产市场波澜不惊.然而,就从那时起,人们发现,在媒体宣传上颇为低 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnBw4M.html" rel="bookmark" class="title">移动宽带是否可以用路由器实现共享</a>
					<div>
						问题描述 山西移动宽带,拔号方式为一网页,如:http://211.142.21.56:8070/能否用路由器实现共享上网 解决方案 解决方案二:该回复于2010-04-28 15:29:21被版主删 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEK1LPp.html" rel="bookmark" class="title">【JAVA秒会技术之秒杀面试官】集合篇（二）</a>
					<div>
						秒杀Java面试官--集合篇(二) 三.HashMap底层实现原理(基于JDK1.8)         面试中,你是否也曾被问过以下问题呢:     你知道HashMap的数据结构吗?HashMap是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAk6Oez.html" rel="bookmark" class="title">ios开发之Swfit使用自定义的UIRefreshControl下拉刷新界面</a>
					<div>
						默认 UIRefreshControl 下拉刷新界面是一个菊花进度条+一段描述文字,略显单调.其实我们可以使用自己创建的界面视图,方便我们实现各种效果.比如添加个动态图片,添加个动画效果什么的.    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QDrRp.html" rel="bookmark" class="title">java&period;net&period;socketTimeoutException&colon; Accept timed out</a>
					<div>
						问题描述 用applet +ftp 实现下载文件一半时 出现java.net.socketTimeoutException: Accept timed out异常,请教各位到底怎么回事? 问题补充:R ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlwX8p.html" rel="bookmark" class="title">微信二维码的电子商务应用  二维码名片</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 自打腾讯在微信中增加了扫一扫二维码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44O4Yz.html" rel="bookmark" class="title">怎么编写javascript查询和删除按钮或者事件的操作啊！！！</a>
					<div>
						问题描述 :cry: :cry: 小弟比较菜,最近在学习javascript.但是遇到了一些问题不知道如何解答,求大神们看看!!!!在html中输入输入姓名,email,电话等这样基本的信息,然后点提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1DEm5b.html" rel="bookmark" class="title">三星发布透明显示屏 可看穿屏幕背后场景</a>
					<div>
						腾讯科技讯(谭燃)北京时间8月28日消息,三星周一发布了两款最新的显示屏,一款是长宽比为1:1的正方形显示屏UD22B,另一款是透明显示屏NL22B,从而为三星下半年在B2B显示屏市场的领先地位奠定基 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWVPqM.html" rel="bookmark" class="title">《c&plus;&plus;语言导学》&mdash;&mdash;1&period;4　函数</a>
					<div>
						1.4 函数 如果我们打算在C++程序中完成某些任务,最好的方式就是调用函数.要想准确描述某项操作的细节,把它定义成函数是最优选择.需要注意的是:函数必须先声明后使用.一条函数声明语句需要完成三项任务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlA3oYp.html" rel="bookmark" class="title">linux 下 java程序执行shell命令  跪求！！！！</a>
					<div>
						问题描述 一个Java程序在Linux下面执行shell命令来创建用户为什么总是执行不成功呢.希望大家帮帮小弟!!!Stringuser=&quot;张三&quot;;Stringcellphone= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boOqedb.html" rel="bookmark" class="title">电商时代 配送中心如何突破瓶颈&quest;</a>
					<div>
						本文讲的是电商时代 配送中心如何突破瓶颈,在过去的10多年里,电子商务以燎原之势在中国取得迅猛发展.除了天猫.京东等传统电商巨头,亚马逊.苏宁易购.小红书等在线服务商的&quot;跑马圈地&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNOPXop.html" rel="bookmark" class="title">介绍正确使用电子邮件营销的方法</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   几个星期前,我与一家广告代理公司的创意主管讨论电子邮件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3E0lWp.html" rel="bookmark" class="title">《Objective-C入门经典》&mdash;&mdash;2&period;6节测验</a>
					<div>
						2.6 测验Objective-C入门经典 2.6.1 问题1．如果覆写了超类的一个方法,被覆写的方法会自动被调用吗? 2．为什么访问器是重要的? 2.6.2 答案1．否.如果想要调用超类的方法则必须 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYBo49p.html" rel="bookmark" class="title">微博vsSNS  一场关于&OpenCurlyDoubleQuote;时间&rdquo;的竞赛</a>
					<div>
						近日,在深圳举办的IT领袖峰会上,马化腾表示了加大投入微博的决心&quot;如果现在不投入,未来一定吃大亏.&quot;同时,为门户下了新的定义&quot;无微博不门户&quot;.言语之中略带几分& ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.042 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
